> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wearepion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Institution Search

> Searches for institutions matching the provided criteria.



## OpenAPI

````yaml /api-reference/openapi-v1.json post /app/{appId}/whitelabel/institutions/search
openapi: 3.1.0
info:
  title: Pion API Reference
  description: API for authentication and verification status retrieval.
  version: 1.0.0
servers:
  - url: https://api.wearepion.com
    description: Main production server
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Authenticating with Pion API
  - name: Beans iD Whitelabel API
    description: Endpoints used for the Beans iD Whitelabel API product.
paths:
  /app/{appId}/whitelabel/institutions/search:
    post:
      tags:
        - Beans iD Whitelabel API
      summary: Institution Search
      description: Searches for institutions matching the provided criteria.
      operationId: searchInstitutions
      parameters:
        - name: appId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                name:
                  type: string
                territory:
                  type: string
                  pattern: ^[A-Z]{2}$
                  description: ISO 3166 country code
                consumerGroup:
                  type: string
      responses:
        '200':
          description: Institutions retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstitutionSearchResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        default:
          $ref: '#/components/responses/GenericError'
components:
  schemas:
    InstitutionSearchResponse:
      type: object
      required:
        - institutions
      properties:
        institutions:
          type: array
          items:
            $ref: '#/components/schemas/Institution'
    Institution:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
        name:
          type: string
  responses:
    UnauthorizedError:
      description: 401 Unauthorised
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  title:
                    type: string
                    examples:
                      - unauthorised
    GenericError:
      description: Generic error response format
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  title:
                    type: string
                  detail:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````